brlapi_keycodes.h(3)

NAME
brlapi_keycodes.h

SYNOPSIS

#include 'brlapi_constants.h'

  Macros
#define BRLAPI_KEYCODE_C(value) UINT64_C(value)
#define BRLAPI_PRIxKEYCODE PRIx64
#define BRLAPI_PRIuKEYCODE PRIu64
#define BRLAPI_KEY_MAX UINT64_C(0XFFFFFFFFFFFFFFFF)
#define BRLAPI_KEY_FLAGS_MASK UINT64_C(0XFFFFFFFF00000000)
#define BRLAPI_KEY_FLAGS_SHIFT 32
#define BRLAPI_KEY_FLG(v) ((brlapi_keyCode_t)(v) << BRLAPI_KEY_FLAGS_SHIFT)
#define BRLAPI_KEY_FLG_MOD1 BRLAPI_KEY_FLG(0x00000008)
#define BRLAPI_KEY_FLG_MOD2 BRLAPI_KEY_FLG(0x00000010)
#define BRLAPI_KEY_FLG_MOD3 BRLAPI_KEY_FLG(0x00000020)
#define BRLAPI_KEY_FLG_MOD4 BRLAPI_KEY_FLG(0x00000040)
#define BRLAPI_KEY_FLG_MOD5 BRLAPI_KEY_FLG(0x00000080)
#define BRLAPI_KEY_TYPE_MASK UINT64_C(0X00000000E0000000)
#define BRLAPI_KEY_TYPE_SHIFT 29
#define BRLAPI_KEY_TYPE_CMD UINT64_C(0X0000000020000000)
#define BRLAPI_KEY_TYPE_SYM UINT64_C(0X0000000000000000)
#define BRLAPI_KEY_CODE_MASK UINT64_C(0X000000001FFFFFFF)
#define BRLAPI_KEY_CODE_SHIFT 0
#define BRLAPI_KEY_CMD_BLK_MASK UINT64_C(0X1FFF0000)
#define BRLAPI_KEY_CMD_BLK_SHIFT 16
#define BRLAPI_KEY_CMD_ARG_MASK UINT64_C(0X0000FFFF)
#define BRLAPI_KEY_CMD_ARG_SHIFT 0
#define BRLAPI_KEY_CMD(v) ((v) << BRLAPI_KEY_CMD_BLK_SHIFT)
#define BRLAPI_KEY_SYM_BACKSPACE UINT64_C(0X0000FF08)
#define BRLAPI_KEY_SYM_TAB UINT64_C(0X0000FF09)
#define BRLAPI_KEY_SYM_LINEFEED UINT64_C(0X0000FF0D)
#define BRLAPI_KEY_SYM_ESCAPE UINT64_C(0X0000FF1B)
#define BRLAPI_KEY_SYM_HOME UINT64_C(0X0000FF50)
#define BRLAPI_KEY_SYM_LEFT UINT64_C(0X0000FF51)
#define BRLAPI_KEY_SYM_UP UINT64_C(0X0000FF52)
#define BRLAPI_KEY_SYM_RIGHT UINT64_C(0X0000FF53)
#define BRLAPI_KEY_SYM_DOWN UINT64_C(0X0000FF54)
#define BRLAPI_KEY_SYM_PAGE_UP UINT64_C(0X0000FF55)
#define BRLAPI_KEY_SYM_PAGE_DOWN UINT64_C(0X0000FF56)
#define BRLAPI_KEY_SYM_END UINT64_C(0X0000FF57)
#define BRLAPI_KEY_SYM_INSERT UINT64_C(0X0000FF63)
#define BRLAPI_KEY_SYM_FUNCTION UINT64_C(0X0000FFBE)
#define BRLAPI_KEY_SYM_DELETE UINT64_C(0X0000FFFF)
#define BRLAPI_KEY_SYM_UNICODE UINT64_C(0X01000000)
#define BRLAPI_DRV_KEY_PRESS BRLAPI_KEYCODE_C(0X8000000000000000)
#define BRLAPI_DRV_KEY_NUMBER_SHIFT 0
#define BRLAPI_DRV_KEY_NUMBER_MASK 0XFF
#define BRLAPI_DRV_KEY_NUMBER(code) (((code) & BRLAPI_DRV_KEY_NUMBER_MASK) >> BRLAPI_DRV_KEY_NUMBER_SHIFT)
#define BRLAPI_DRV_KEY_GROUP_SHIFT 8
#define BRLAPI_DRV_KEY_GROUP_MASK 0XFF00
#define BRLAPI_DRV_KEY_GROUP(code) (((code) & BRLAPI_DRV_KEY_GROUP_MASK) >> BRLAPI_DRV_KEY_GROUP_SHIFT)
#define BRLAPI_DRV_KEY_VALUE_MASK (BRLAPI_DRV_KEY_GROUP_MASK | BRLAPI_DRV_KEY_NUMBER_MASK)
#define BRLAPI_DRV_KEY_NUMBER_ANY 0XFF

  Typedefs
typedef uint64_t brlapi_keyCode_t

Author

Generated automatically by Doxygen for BrlAPI from the source code.